import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.text.DecimalFormat;

public class H6_Oefening2 extends JApplet implements ActionListener
{		
	JTextField tfCelsius = new JTextField(5);
	JTextField tfFahrenheit = new JTextField(5);
	JLabel labCelsius = new JLabel("C");
	JLabel labFahrenheit = new JLabel("F");
	JButton butConvert = new JButton("Convert");
	
	public void init()
	{
		Container container = getContentPane();
		container.setLayout(new FlowLayout());
		container.add(tfCelsius);
		container.add(labCelsius);
		container.add(butConvert);
		container.add(tfFahrenheit);
		container.add(labFahrenheit);
		
		butConvert.addActionListener(this);
	}
	
	
	public void actionPerformed(ActionEvent a)
	{
		int status; // =0 als beide tf leeg, =1 als tfCelsius niet leef
			        // =2 als tfFahrenheit niet leef
		float celsius, fahrenheit;
		
	if(tfCelsius.getText().length()==0)
		status = 0;
	else status = 1;
	
	if (tfFahrenheit.getText().length()==0)
		status += 0;
	else status += 2;
		
	DecimalFormat twoDigits = new DecimalFormat ("O.OO");
		
	switch (status)
	{
	case 0:
		showStatus("Er moet één veld ingevuld zijn");
		break;
	case 1:
		celsius = Float.parseFloat(tfCelsius.getText());
		fahrenheit = calcFahren(celsius);
		tfFahrenheit.setText(twoDigits.format((fahrenheit)));
		showStatus("");
		break;
	case 2:
		fahrenheit = Float.parseFloat(tfFahrenheit.getText());
		celsius = calcCelsius(fahrenheit);
		tfCelsius.setText(twoDigits.format((celsius)));
		showStatus("");
		break;
	case 3:
		showStatus("Er mag maar één veld ingevuld zijn");
		break;
	}
	}
	
	float calcCelsius(float f)
	{
		return (f-32)*5/9;
	}
	
	float calcFahren(float c)
	{
		return 32+(c*9)/5;
	}
}